## org.eclipse.emf.importer.ui.contribution
Class ModelImporterManager.ModelImporterDescriptorImpl

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl
          org.eclipse.emf.importer.ui.contribution.ModelImporterManager.ModelImporterDescriptorImpl

All Implemented Interfaces:
  ModelConverterDescriptor, ModelImporterDescriptor

Enclosing class:
  ModelImporterManager

    public static class ModelImporterManager.ModelImporterDescriptorImpl

extends ModelConverterManager.ModelConverterDescriptorImpl
implements ModelImporterDescriptor

Field Summary
`protected java.util.List<java.lang.String>` `extensions`
`protected int` `types`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl
`configurationElement, description, icon, id, name`

Fields inherited from interface org.eclipse.emf.importer.ui.contribution.ModelImporterDescriptor
`TYPE_DEFAULT, TYPE_FILE, TYPE_PROJECT`

Constructor Summary
`ModelImporterManager.ModelImporterDescriptorImpl()`

Method Summary
`IModelImporterWizard` `createWizard()`
`java.util.List<java.lang.String>` `getExtensions()`
`int` `getTypes()`
`void` `setTypes(int types)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl
`createExecutableExtension, getDescription, getIcon, getID, getName, setDescription, setIcon, setID, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.converter.ui.contribution.ModelConverterDescriptor
`getDescription, getIcon, getID, getName`

Field Detail

### extensions

    protected java.util.List<java.lang.String> extensions

### types

    protected int types

Constructor Detail

### ModelImporterManager.ModelImporterDescriptorImpl

    public ModelImporterManager.ModelImporterDescriptorImpl()

Method Detail

### createWizard

    public IModelImporterWizard createWizard()

  Specified by:
    `createWizard` in interface `ModelImporterDescriptor`

### getTypes

    public int getTypes()

  Specified by:
    `getTypes` in interface `ModelImporterDescriptor`

### setTypes

    public void setTypes(int types)

### getExtensions

    public java.util.List<java.lang.String> getExtensions()

  Specified by:
    `getExtensions` in interface `ModelImporterDescriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.